MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000476VCMIMechanics - Adventure Mappublic2010-05-30 20:382015-11-24 10:26
ReporterZamolxis 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD 5600+OSWindowsOS VersionXP SP3
Product Version0.8b 
Target VersionFixed in Version0.98f 
Summary0000476: Fly does not ignore all obstacles when there's a reasonably alternative available on land (+ other issues with the Fly spell)
Description- Fly does not take the shortest, straight path, regardless of whatever terrain and objects are on the way (see first screenshots)
- Fly does not take care we land on a terrain patch which allows movement, if the destination we give is a hero/moster/gate/etc we are trying to attack (see 5th screenshot, hero ends up in water)
- Most tiles of a town seem available for a hero after we have casted Fly (see 6th screenshot). Instead, we should still get the town-image cursor for all tiles, except town gate (if not occupied).
Steps To ReproduceTake Sir Mullich in the map attached to 0000327 (he has all spells) and Fly around a bit. :)
Additional InformationEDIT: There seems to be a similar impact on Water Walk. I'm not going to create a different report for that, but if you play around with Sir Mullich in the map from 0000327 (especially after End Turn) you'll probably see what I mean.
TagsNo tags attached.
Attached Filesjpg file icon 2010-05-30_VCMIFly.jpg [^] (14,913 bytes) 2010-05-30 21:35


jpg file icon 2010-05-30_H3Fly.jpg [^] (10,880 bytes) 2010-05-30 21:35


jpg file icon fly_OH3.jpg [^] (27,241 bytes) 2010-06-01 08:11


jpg file icon fly_VCMI.jpg [^] (30,537 bytes) 2010-06-01 08:11


jpg file icon 2010-06-01_VCMI08bFly.jpg [^] (73,537 bytes) 2010-06-01 09:45


jpg file icon 2010-06-01_VCMI08bFlyHorsy.jpg [^] (41,046 bytes) 2010-06-01 09:45

- Relationships
related to 0000889resolvedSXX Angel Wings don't work anymore 

-  Notes
(0000903)
Boulie (reporter)
2010-06-01 08:11

Similar situation is with ignoring guards. Attached screenshots
(0006105)
SXX (administrator)
2015-11-24 10:26

Fixed together with 0000889.

Though pathfinder always use cheapest path and not shortest one. E.g if flying over terrain take less MP it's will be preferable. Cost calculations are imperfect at moment.

- Issue History
Date Modified Username Field Change
2010-05-30 20:38 Zamolxis New Issue
2010-05-30 21:35 Zamolxis File Added: 2010-05-30_VCMIFly.jpg
2010-05-30 21:35 Zamolxis File Added: 2010-05-30_H3Fly.jpg
2010-05-30 21:48 Zamolxis Additional Information Updated View Revisions
2010-06-01 08:11 Boulie Note Added: 0000903
2010-06-01 08:11 Boulie File Added: fly_OH3.jpg
2010-06-01 08:11 Boulie File Added: fly_VCMI.jpg
2010-06-01 09:44 Zamolxis Summary Fly does not ignore all obstacles when there's a reasonably alternative available on land (but it ends up costing extra MP) => Fly does not ignore all obstacles when there's a reasonably alternative available on land (+ other issues with the Fly spell)
2010-06-01 09:44 Zamolxis Description Updated View Revisions
2010-06-01 09:45 Zamolxis File Added: 2010-06-01_VCMI08bFly.jpg
2010-06-01 09:45 Zamolxis File Added: 2010-06-01_VCMI08bFlyHorsy.jpg
2012-03-01 14:36 Warmonger Relationship added related to 0000889
2015-03-12 18:02 SXX Assigned To => SXX
2015-03-12 18:02 SXX Status new => assigned
2015-11-24 10:26 SXX Note Added: 0006105
2015-11-24 10:26 SXX Status assigned => resolved
2015-11-24 10:26 SXX Fixed in Version => 0.98f
2015-11-24 10:26 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean